GET/Areas/{areaId}/resources
Returns the procurement resources assigned to the area for the event: status, quantity, dates, procurement, resource type,
collaborator, property values, order lines, requests and schedule blocks. The area id comes from Events_GetAreas.
Path Parameters
| Field | Type | Required | Description |
|---|
| areaId | uuid | Required | |
Response
Type: GetAreaResourcesResponse[]
GetAreaResourcesResponse
| Field | Type | Description |
|---|
| id | uuid | |
| status | string| null | |
| quantity | number | |
| startDateTime | date-time| null | |
| endDateTime | date-time| null | |
| procurement | GetAreaResourcesResponseProcurementInfo | |
| type | GetAreaResourcesResponseResourceTypeInfo | |
| collaborator | GetAreaResourcesResponseCollaboratorInfo | |
| properties | GetAreaResourcesResponseProperty[]| null | |
| orderLines | GetAreaResourcesResponseOrderLine[]| null | |
| requests | GetAreaResourcesResponseRequest[]| null | |
| scheduleBlocks | GetAreaResourcesResponseScheduleBlock[]| null | |
GetAreaResourcesResponseProcurementInfo
| Field | Type | Description |
|---|
| id | uuid | |
| name | string| null | |
| description | string| null | |
| status | string| null | |
GetAreaResourcesResponseResourceTypeInfo
| Field | Type | Description |
|---|
| id | uuid | |
| label | string| null | |
| icon | string| null | |
| color | string| null | |
| lineItemLabel | string| null | |
GetAreaResourcesResponseCollaboratorInfo
| Field | Type | Description |
|---|
| id | uuid | |
| name | string| null | |
GetAreaResourcesResponseProperty
| Field | Type | Description |
|---|
| id | uuid | |
| resourceAttributeId | uuid | |
| value | string| null | |
GetAreaResourcesResponseOrderLine
| Field | Type | Description |
|---|
| id | uuid | |
| orderId | uuid | |
| orderName | string| null | |
| quantity | number | |
GetAreaResourcesResponseRequest
| Field | Type | Description |
|---|
| id | uuid | |
GetAreaResourcesResponseScheduleBlock
| Field | Type | Description |
|---|
| id | uuid | |
| type | GetAreaResourcesResponseScheduleBlockScheduleBlockTypeInfo | |
| name | string| null | |
| startDateTime | date-time | |
| endDateTime | date-time | |
| activityId | uuid| null | |
| notes | string| null | |
| areaId | uuid| null | |
| collaboratorId | uuid| null | |
| requests | GetAreaResourcesResponseRequest[]| null | |
GetAreaResourcesResponseScheduleBlockScheduleBlockTypeInfo
| Field | Type | Description |
|---|
| id | uuid | |
| name | string| null | |
| color | string| null | |
| icon | string| null | |